Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.console.manager.interfaces.impl
Class GraphMBeanAttributeAction

    java.lang.Object
      org.jboss.console.manager.interfaces.impl.GraphMBeanAttributeAction

All Implemented Interfaces:
  AppletTreeAction, Serializable, TreeAction

public class GraphMBeanAttributeAction
extends Object
implements AppletTreeAction

Version:
  $Revision: 1.3 $

  Revisions:

  3 janv. 2003 Sacha Labourey:

  - First implementation
Author:
  Sacha Labourey.
See Also:
  , Serialized Form

Nested Class Summary
`class` | `GraphMBeanAttributeAction.MBeanXYDataset`
`class` | `GraphMBeanAttributeAction.UpdateThread`

Field Summary
`protected String` | `attr`
`protected GraphMBeanAttributeAction.MBeanXYDataset` | `dataset`
`protected org.jfree.chart.ChartFrame` | `frame`
`protected javax.management.ObjectName` | `targetObjectName`

Constructor Summary
`GraphMBeanAttributeAction()`
`GraphMBeanAttributeAction(javax.management.ObjectName pName, String attr)`

Method Summary
`void` | `doAction(TreeContext tc, AppletBrowser applet)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### targetObjectName

    protected javax.management.ObjectName targetObjectName

### attr

    protected String attr

### frame

    protected transient org.jfree.chart.ChartFrame frame

### dataset

    protected transient GraphMBeanAttributeAction.MBeanXYDataset dataset

Constructor Detail

### GraphMBeanAttributeAction

    public GraphMBeanAttributeAction()

### GraphMBeanAttributeAction

    public GraphMBeanAttributeAction(javax.management.ObjectName pName,
                                     String attr)

Method Detail

### doAction

    public void doAction(TreeContext tc,
                         AppletBrowser applet)

  Specified by:
    `doAction` in interface `AppletTreeAction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.